
Redmine - Defect #15999

Ignoring out of office emails

2014-01-30 11:58 - Simon Whittaker

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version: 2.4.2

Description

With reference to issue #10607 which was a problem in redmine 1.4, we are seeing this issue in redmine 2.4 - the headers in the

auto reply are:

From: User Name <user.name@domain.com>

To: user.name@domain.com

Message-ID: <ID@mail.gmail.com>

Subject: Reply Re: test

Content-Type: text/html; charset="ISO-8859-1"

Content-Transfer-Encoding: 7bit

Content-Disposition: inline

Precedence: bulk

X-Autoreply: yes

Auto-Submitted: auto-replied

This is currently causing a loop of mail on updates to issues.

Please let me know if I can provide any more information.

Best wishes

Simon

Related issues:

Related to Redmine - Feature #11338: Exclude emails with auto-submitted => au... Closed

Related to Redmine - Feature #10607: Ignore out-of-office incoming emails Closed

Related to Redmine - Patch #16190: Relax rejections based on Auto-Submitted h... Closed

Related to Redmine - Feature #13425: Ignore X-Autoreply mails Closed

Associated revisions

Revision 13738 - 2014-12-12 05:58 - Toshi MARUYAMA

ignore X-Autoreply mails (#15999, #13425)

Contributed by Karel Pičman.

History

#1 - 2014-01-31 08:45 - Jan Niggemann (redmine.org team member)

- Related to Feature #11338: Exclude emails with auto-submitted => auto-generated added

#2 - 2014-01-31 08:46 - Jan Niggemann (redmine.org team member)

- Related to Feature #10607: Ignore out-of-office incoming emails added

#3 - 2014-01-31 08:49 - Jan Niggemann (redmine.org team member)

This should not happen, because r9924 already taks care of

'Auto-Submitted' => /^auto-/...

#4 - 2014-02-23 07:16 - Toshi MARUYAMA

- Description updated
#5 - 2014-07-02 17:03 - Toshi MARUYAMA

- Related to Patch #16190: Relax rejections based on Auto-Submitted header added

#6 - 2014-07-02 17:11 - Toshi MARUYAMA

- Status changed from New to Needs feedback

Jan Niggemann (redmine.org team member) wrote:

This should not happen, because r9924 already taks care of

'Auto-Submitted' => /^auto-/...

 Indeed.

Could you recheck?

#7 - 2014-11-12 09:00 - Karel Pičman

I've a problem that the header doesn't contain neither Auto-Submitted: auto-replied nor X-Auto-Response-Suppress: All but X-Autoreply: yes only:

X-Mailer: Winmail

X-WM-Report: autoreply

X-Autoreply: yes

 Therefore Redmine processes such an email and consequently causes an email notification loop.

#8 - 2014-11-12 14:44 - Karel Pičman

- File x-autoreply.diff added

A patch to skip emails with X-Autoreply: yes in the email header.

#9 - 2014-12-12 05:35 - Toshi MARUYAMA

- Related to Feature #13425: Ignore X-Autoreply mails added

#10 - 2014-12-12 06:36 - Toshi MARUYAMA

- Status changed from Needs feedback to Closed

Karel Pičman wrote:

A patch to skip emails with X-Autoreply: yes in the email header.

 Committed in trunk r13738, thanks.

#11 - 2014-12-12 06:36 - Toshi MARUYAMA

- Resolution set to Fixed

Files

x-autoreply.diff 1.07 KB 2014-11-12 Karel Pičman

Powered by TCPDF (www.tcpdf.org)

2025-08-23 2/2

https://www.redmine.org/projects/redmine/repository/svn/revisions/9924
https://www.redmine.org/projects/redmine/repository/svn/revisions/13738
http://www.tcpdf.org

